v1.0
get
/ec-ors-svc/rest/v1.0/studies/{studyId}/{mode}/kits/{kitId}/barcode
Retrieves a kit's barcode. Rights: OrsInventoryGet and OrsUnblinded.
Request
Path Parameters
-
kitId(required): string
Kit IDExample:
b1b8327a-faa6-4122-8710-6192ab5984ef -
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
1BC29B36F5D64B1B95F4BDBBCEA481BE
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : KitNumberBarcodeTO v1.0
Type:
objectTitle:
KitNumberBarcodeTO v1.0Object containing kit number and barcode.
Show Source
-
barcode: string
Title:
BarcodeMinimum Length:0Maximum Length:1000Barcode of the kit.Example:61234
Examples
400 Response
Invalid Inventory Status
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples
404 Response
Invalid study ID or version OR Study not found OR Inventory not found
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples
500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples